## crazycat 2.0-5

=== src/Makefile ===
#############################################################################
# Makefile for building: crazycat
# Generated by qmake (2.01a) (Qt 4.5.3) on: Wed Dec 9 15:28:29 2009
# Project:  crazycat.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile crazycat.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = CatView.cpp \
		main.cpp \
		window.cpp moc_window.cpp
OBJECTS       = CatView.o \
		main.o \
		window.o \
		moc_window.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		crazycat.pro
QMAKE_TARGET  = crazycat
DESTDIR       = 
TARGET        = crazycat

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: crazycat.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile crazycat.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile crazycat.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/crazycat1.0.0 || $(MKDIR) .tmp/crazycat1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/crazycat1.0.0/ && $(COPY_FILE) --parents CatView.h CatViewList.h EnumHeader.h window.h .tmp/crazycat1.0.0/ && $(COPY_FILE) --parents CatView.cpp main.cpp window.cpp .tmp/crazycat1.0.0/ && (cd `dirname .tmp/crazycat1.0.0` && $(TAR) crazycat1.0.0.tar crazycat1.0.0 && $(COMPRESS) crazycat1.0.0.tar) && $(MOVE) `dirname .tmp/crazycat1.0.0`/crazycat1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/crazycat1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_window.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_window.cpp
moc_window.cpp: CatViewList.h \
		CatView.h \
		window.h
	/usr/bin/moc $(DEFINES) $(INCPATH) window.h -o moc_window.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

CatView.o: CatView.cpp CatView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CatView.o CatView.cpp

main.o: main.cpp window.h \
		CatViewList.h \
		CatView.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

window.o: window.cpp window.h \
		CatViewList.h \
		CatView.h \
		EnumHeader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o window.o window.cpp

moc_window.o: moc_window.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_window.o moc_window.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## crazycat 1.0-1

=== debian/changelog ===
crazycat (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Tue, 15 Dec 2009 15:01:53 +0530

=== debian/control ===
Source: crazycat
Section: user/other 
Priority: optional
Maintainer: mohammed ilyas <mohammed.ilyas@mars-india.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: crazycat
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1),, hildon-application-manager
Description: Crazycat Game Application
 The aim of the game is to circle the cat in such a way that 
 it gets captured and cannot run out of canvas.

## crazycat 2.0-1

=== debian/changelog ===
crazycat (2.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Tue, 15 Dec 2009 15:01:53 +0530

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: crazycat
-Section: user/other 
+Section: user/games 
 Priority: optional
 Maintainer: mohammed ilyas <mohammed.ilyas@mars-india.com>
 Build-Depends: debhelper (>= 5), libqt4-dev

## crazycat 2.0-2

=== debian/changelog ===
crazycat (2.0-2) unstable; urgency=low

  * This relese fixes the grammatical errors. 

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 18 Jan 2010 17:46:53 +0530

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Package: crazycat
 Architecture: any
 Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1),, hildon-application-manager
-Description: Crazycat Game Application
+Description: Crazycat Game 
  The aim of the game is to circle the cat in such a way that 
  it gets captured and cannot run out of canvas.

## crazycat 2.0-3

=== debian/changelog ===
crazycat (2.0-3) unstable; urgency=low

  * This release fixes the typing errors.
  * Added Bug-tracker mailto link.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 25 Jan 2010 14:50:53 +0530

## crazycat 2.0-4

=== debian/changelog ===
crazycat (2.0-4) unstable; urgency=low

  * This release fixes the application icon size.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Mon, 27 Jan 2010 12:02:14 +0530

=== debian/control ===
--- 
+++ 
@@ -11,3 +11,5 @@
 Description: Crazycat Game 
  The aim of the game is to circle the cat in such a way that 
  it gets captured and cannot run out of canvas.
+XSBC-Bugtracker:
+ mailto: mobile-VAS@mars-india.com, mohammed.ilyas@mars-india.com

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := crazycat
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## crazycat 2.0-5

=== debian/changelog ===
crazycat (2.0-5) unstable; urgency=low

  * Added Bug-tracker mailto link.
  * Copyright information is changed.
  * Changed the dialog title Cat Application to Crazycat.

 -- mohammed ilyas <mohammed.ilyas@mars-india.com>  Tue, 16 Feb 2010 11:05:25 +0530

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 Description: Crazycat Game 
  The aim of the game is to circle the cat in such a way that 
  it gets captured and cannot run out of canvas.
-XSBC-Bugtracker:
- mailto: mobile-VAS@mars-india.com, mohammed.ilyas@mars-india.com 
+XSBC-Bugtracker: mohammed.ilyas@mars-india.com 
+XSBC-Maemo-Display-Name: Crazycat
